PUT api/v1/volunteers
Request Information
URI Parameters
None.
Body Parameters
VolunteerProfileModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| FirstName | string |
None. |
|
| LastName | string |
None. |
|
| string |
None. |
||
| DateOfBirth | date |
None. |
|
| Gender | string |
None. |
|
| PhoneNumber | string |
None. |
|
| SuburbId | integer |
None. |
|
| Surburb | SimpleListSuburb |
None. |
|
| EmergencyName | string |
None. |
|
| EmergencyPhone | string |
None. |
|
| Qualification | string |
None. |
|
| WorkExperience | string |
None. |
|
| SubSkills | Collection of LookupChild |
None. |
|
| Requirements | Collection of integer |
None. |
|
| Languages | Collection of integer |
None. |
|
| ContactGroups | Collection of integer |
None. |
|
| CountryOfBirth | integer |
None. |
|
| SpokenLanguageAtHome | integer |
None. |
|
| AboriginalOrTorresStraitIslanderOrigin | integer |
None. |
|
| CentrelinkObligations | boolean |
None. |
|
| HasDisabilty | boolean |
None. |
|
| Disabilty | integer |
None. |
|
| HomelessIndicator | integer |
None. |
|
| WorkType | integer |
None. |
|
| CurrentWorkOther | string |
None. |
|
| ConsentedForFutureContacts | boolean |
None. |
|
| SwitchQualificationToExperience | boolean |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"id": 1,
"firstName": "sample string 2",
"lastName": "sample string 3",
"email": "sample string 4",
"dateOfBirth": "2026-06-25T13:38:23.4524706+00:00",
"gender": "sample string 5",
"phoneNumber": "sample string 6",
"suburbId": 7,
"surburb": {
"id": 1,
"name": "sample string 2",
"postcode": 3,
"stateName": "sample string 4",
"latitude": 1.0,
"longitude": 1.0
},
"emergencyName": "sample string 8",
"emergencyPhone": "sample string 9",
"qualification": "sample string 10",
"workExperience": "sample string 11",
"subSkills": [
{
"id": 1,
"parentId": 2,
"name": "sample string 3"
},
{
"id": 1,
"parentId": 2,
"name": "sample string 3"
}
],
"requirements": [
1,
2
],
"languages": [
1,
2
],
"contactGroups": [
1,
2
],
"countryOfBirth": 1,
"spokenLanguageAtHome": 1,
"aboriginalOrTorresStraitIslanderOrigin": 1,
"centrelinkObligations": true,
"hasDisabilty": true,
"disabilty": 1,
"homelessIndicator": 1,
"workType": 1,
"currentWorkOther": "sample string 12",
"consentedForFutureContacts": true,
"switchQualificationToExperience": true
}
application/xml, text/xml
Sample:
<VolunteerProfileModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models">
<AboriginalOrTorresStraitIslanderOrigin>1</AboriginalOrTorresStraitIslanderOrigin>
<CentrelinkObligations>true</CentrelinkObligations>
<ConsentedForFutureContacts>true</ConsentedForFutureContacts>
<ContactGroups xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</ContactGroups>
<CountryOfBirth>1</CountryOfBirth>
<CurrentWorkOther>sample string 12</CurrentWorkOther>
<DateOfBirth>2026-06-25T13:38:23.4524706+00:00</DateOfBirth>
<Disabilty>1</Disabilty>
<Email>sample string 4</Email>
<EmergencyName>sample string 8</EmergencyName>
<EmergencyPhone>sample string 9</EmergencyPhone>
<FirstName>sample string 2</FirstName>
<Gender>sample string 5</Gender>
<HasDisabilty>true</HasDisabilty>
<HomelessIndicator>1</HomelessIndicator>
<Id>1</Id>
<Languages xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</Languages>
<LastName>sample string 3</LastName>
<PhoneNumber>sample string 6</PhoneNumber>
<Qualification>sample string 10</Qualification>
<Requirements xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</Requirements>
<SpokenLanguageAtHome>1</SpokenLanguageAtHome>
<SubSkills xmlns:d2p1="http://schemas.datacontract.org/2004/07/VOL.Core.CustomModels">
<d2p1:LookupChild>
<d2p1:Id>1</d2p1:Id>
<d2p1:Name>sample string 3</d2p1:Name>
<d2p1:ParentId>2</d2p1:ParentId>
</d2p1:LookupChild>
<d2p1:LookupChild>
<d2p1:Id>1</d2p1:Id>
<d2p1:Name>sample string 3</d2p1:Name>
<d2p1:ParentId>2</d2p1:ParentId>
</d2p1:LookupChild>
</SubSkills>
<SuburbId>7</SuburbId>
<Surburb xmlns:d2p1="http://schemas.datacontract.org/2004/07/VOL.Core.CustomModels">
<d2p1:Id>1</d2p1:Id>
<d2p1:Latitude>1</d2p1:Latitude>
<d2p1:Longitude>1</d2p1:Longitude>
<d2p1:Name>sample string 2</d2p1:Name>
<d2p1:Postcode>3</d2p1:Postcode>
<d2p1:StateName>sample string 4</d2p1:StateName>
</Surburb>
<SwitchQualificationToExperience>true</SwitchQualificationToExperience>
<WorkExperience>sample string 11</WorkExperience>
<WorkType>1</WorkType>
</VolunteerProfileModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |